#ifndef _TITLE_SCENE_
#define _TITLE_SCENE_

#include <HPLE3DLapper.h>

namespace MotionTest {
namespace TitleSceneConsts {
	namespace ButtonType {
		enum {
			SCENARIO,

			ENEMY_MODE,
			CHALLENGE_MODE,
			EXIT
		};
	}

	namespace CheckType {
		enum {
			KUBI,				// 断面が生じるか
			TRANSPARENT_,		// 丸呑み完了後に透明になるかどうか
			BLACK,				// 黒いのが好み？
			NO_CLOTH,			// うっかり八平
			MUGEN,				// 無限バンダナ

			NUM_MAX
		};
	}
}
/** タイトル描画・処理
  *
  */
class TitleScene: public HPL::General::AbstractScene {
private:
	int m_nSelectedButton;

	BOOL m_aryIsChecked[TitleSceneConsts::CheckType::NUM_MAX];
public:
	TitleScene();
	virtual ~TitleScene();

	void init();
	void process();
	void quit();
public:
	//! 文字列描画
	int drawText();

	//! レンダリング
	int render();

	//! フレームごとの移動処理
	int frameMove();
};
}

#endif

